Skip to content

Accept an available task for a multi-record workflow. If the task is available to multiple users, any one of the assigned users can accept the task. To undo your acceptance of an available workflow task, use Undo Workflow Task Acceptance.

Vault may prevent you from accepting a task if you've already accepted, assigned, or completed another task, or have a restricted role.

POST/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/mdwaccept
NameDescription
Content-Typeapplication/json or application/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{task_id}The task id field value.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ https://myvault.veevavault.com/api/v25.2/objects/objectworkflows/tasks/9626/actions/mdwaccept
{ "responseStatus": "SUCCESS" }

On SUCCESS, Vault accepts the available workflow task on behalf of the authenticated user.